Subject: bug#52823: [PATCH 1/2] gnu: gx-vbass-preamp-lv2: Update to latest commit to fix build issue.

From: Thorsten Wilms <[email-masked]>
Date: Sun, 24 Jul 2022 12:19:40 +0200

On Sat, 23 Jul 2022 15:29:31 +0200
Maxime Devos <[email-masked]> wrote:

> 
> On 17-07-2022 20:00, Thorsten Wilms wrote:
> > +      (arguments
> > +       (substitute-keyword-arguments (package-arguments gx-guvnor-lv2)
> > +         ((#:make-flags flags) `(cons (string-append "CC=" ,(cxx-for-target)) ,flags))))
> 
> This presumably works but is fragile -- if at some point in time, 
> gx-guvnor-lv2 decides to change to a G-exp, this won't compile anymore. 
> Instead, you can do #~(cons (string-append "CC=" #$(cxx-for-target)) 
> #$flags), which works whether or not gx-guvnor-lv2 uses S-exps or G-exps.

I admit that whole construct is from the helpful people in #guix,
answering my question on how to still inherit, but add to the arguments.
Also, what I used to know about quoting in Scheme, I have forgotten!

> Also, I don't understand why you are doing CC=g++. CC stands for 
> c-compiler, not C++ compiler, so I would have expected "CC=" 
> #$(cc-for-target) or "CXX=" #$(cxx-for-target) instead, unless 
> gx-vbass-preamp-lv2 is not following these conventions.

Well, CC=gcc was the intention, no idea how I mixed that up. BTW, where
does cc-for-target come from and why doesn’t a simple string suffice?

Thank you Maxime, for having a look and pointing out the issues!

What should I send, where, now? Here’s the patch that has to change:

* gnu/packages/music.scm (gx-vbass-preamp-lv2): Update to latest commit to fix build issue.
---
 gnu/packages/music.scm | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 697fae8fc0..9174320ce0 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -49,6 +49,7 @@
 ;;; Copyright © 2022 Maxim Cournoyer <[email-masked]>
 ;;; Copyright © 2022 Wamm K. D. <[email-masked]>
 ;;; Copyright © 2022 Jose G Perez Taveras <[email-masked]>
+;;; Copyright © 2022 Thorsten Wilms <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4100,8 +4101,8 @@ (define-public gx-guvnor-lv2
     (license license:gpl3+)))
 
 (define-public gx-vbass-preamp-lv2
-  (let ((commit "eb999b0ca0ef4da40a59e458a9ab6e7042b96c99")
-        (revision "2"))
+  (let ((commit "a7613f91a12d46a7a08a13461e526353ede7def0")
+        (revision "3"))
     (package (inherit gx-guvnor-lv2)
       (name "gx-vbass-preamp-lv2")
       (version (string-append "0-" revision "." (string-take commit 9)))
@@ -4112,8 +4113,11 @@ (define-public gx-vbass-preamp-lv2
                       (commit commit)))
                 (sha256
                  (base32
-                  "0firap073ldw4nrykkd7jvyyj0jbl1nslxyzjj4kswazp99x7d9h"))
+                  "00yj1v3pdry2ns9gv11zcap7prg0yix2vr66rljjpx3nz94fqk4b"))
                 (file-name (string-append name "-" version "-checkout"))))
+      (arguments
+       (substitute-keyword-arguments (package-arguments gx-guvnor-lv2)
+         ((#:make-flags flags) #~(cons (string-append "CC=" #$(cc-for-target)) #$flags))))
       (inputs
        (list lv2 gtk+-2))
       (native-inputs
-- 
2.37.0

-- 
Thorsten Wilms <[email-masked]>